#!/bin/sh

memory_percentage="50"
min_memory=256

total_system_memory=`free -m | grep -i mem | tr -s ' ' | cut -d' ' -f2`
if [ -z $total_system_memory ]; then
	echo "ERROR! I can't get how much memory the system has"
	exit
fi

reserved_mem=`echo "$total_system_memory * $memory_percentage / 100" | bc`;
reserved_mem_rounded=`printf "%.0f" $reserved_mem`
if [ $reserved_mem_rounded -lt $min_memory ]; then
	reserved_mem_rounded=$min_memory
fi

java -Xms${reserved_mem_rounded}m -Xmx${reserved_mem_rounded}m -jar ./app/GWASpi.jar & 

